import RPi.GPIO as GPIO
import time
from time import sleep
from signal import signal, SIGTERM, SIGHUP, pause
from rpi_lcd import LCD

lcd = LCD()

def safe_exit(signum, frame):
    exit(1)

count = 0
GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)
TRIG = 17
ECHO = 27
TRIG1 = 18
ECHO1 = 24
i=0
j=0


print ("Distance")
GPIO.setup(TRIG, GPIO.OUT)
GPIO.setup(ECHO, GPIO.IN)
GPIO.setup(TRIG1, GPIO.OUT)
GPIO.setup(ECHO1, GPIO.IN)
GPIO.output(TRIG,False)
GPIO.output(TRIG1,False)

try:
  signal(SIGTERM, safe_exit)
  signal(SIGHUP, safe_exit)

  while True:


    print ("Wait")
    GPIO.output(TRIG,True)
    time.sleep(0.00001)
    GPIO.output(TRIG,False)
    print ("Read sensor")
    while GPIO.input(ECHO) == 0:
        pulse_start = time.time()
    while GPIO.input(ECHO) == 1:
        pulse_end = time.time()
    pulse_duration = pulse_end - pulse_start;
    distance = pulse_duration * 17150
    distance = round(distance+1.15,2)
    print ("Distance1",distance,"cm")
    print ("Wait")
    GPIO.output(TRIG1,True)
    time.sleep(0.00001)
    GPIO.output(TRIG1,False)
    print ("Read sensor")
    while GPIO.input(ECHO1) == 0:
        pulse_start1 = time.time()
    while GPIO.input(ECHO1) == 1:
        pulse_end1 = time.time()
    pulse_duration1 = pulse_end1 - pulse_start1
    distance1 = pulse_duration1 * 17150
    distance1 = round(distance1+1.15,2)
    print ("Distance2", distance1, "cm")
    if distance > 5:
        i=i+1
    if distance1 > 6:
        j=j+1
    lcd.text("P1: "+str(i),1)
    lcd.text("P2: "+str(j),2)

except KeyboardInterrupt:
    pass
finally:
    lcd.clear()


